﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	
	Private usbserial As felUsbSerial
	Private manager As UsbManager
	Private bc As ByteConverter
End Sub

Public Sub Initialize
'	B4XPages.GetManager.LogEvents = True
	
	
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
	manager.Initialize
End Sub

'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.

Private Sub ButtonDesligaTv_Click
	'xui.MsgboxAsync("Hello world!", "B4X")

	If manager.GetDevices.Length = 0 Then
		Log("No connected usb devices.")
	Else
		Dim device As UsbDevice = manager.GetDevices(0) 'assuming that there is exactly one device
		If manager.HasPermission(device) = False Then
			ToastMessageShow("Please allow connection and click again.", True)
			manager.RequestPermission(device)
		Else
			usbserial.Initialize("serial", device, -1)
			usbserial.BaudRate = 9600
			usbserial.DataBits = usbserial.DATA_BITS_8
			usbserial.Parity = usbserial.PARITY_NONE
			usbserial.StopBits = usbserial.STOP_BITS_1
			usbserial.StartReading
			
			'status da tv (on ou off)
			'usbserial.Write(bc.StringToBytes("gst#","UTF8"))
			
			'desliga a energia da tv
			usbserial.Write(bc.StringToBytes("sroff#","UTF8"))
			
			'liga a energia da tv
			'usbserial.Write(bc.StringToBytes("sron#","UTF8"))
		End If
	End If
End Sub

Private Sub ButtonLigaTv_Click
	'xui.MsgboxAsync("Hello world!", "B4X")

	If manager.GetDevices.Length = 0 Then
		Log("No connected usb devices.")
	Else
		Dim device As UsbDevice = manager.GetDevices(0) 'assuming that there is exactly one device
		If manager.HasPermission(device) = False Then
			ToastMessageShow("Please allow connection and click again.", True)
			manager.RequestPermission(device)
		Else
			usbserial.Initialize("serial", device, -1)
			usbserial.BaudRate = 9600
			usbserial.DataBits = usbserial.DATA_BITS_8
			usbserial.Parity = usbserial.PARITY_NONE
			usbserial.StopBits = usbserial.STOP_BITS_1
			usbserial.StartReading
			
			'status da tv (on ou off)
			'usbserial.Write(bc.StringToBytes("gst#","UTF8"))
			
			'desliga a energia da tv
			'usbserial.Write(bc.StringToBytes("sroff#","UTF8"))
			
			'liga a energia da tv
			usbserial.Write(bc.StringToBytes("sron#","UTF8"))
		End If
	End If
End Sub


Private Sub ButtonStatusTv_Click
	'xui.MsgboxAsync("Hello world!", "B4X")

	If manager.GetDevices.Length = 0 Then
		Log("No connected usb devices.")
	Else
		Dim device As UsbDevice = manager.GetDevices(0) 'assuming that there is exactly one device
		If manager.HasPermission(device) = False Then
			ToastMessageShow("Please allow connection and click again.", True)
			manager.RequestPermission(device)
		Else
			usbserial.Initialize("serial", device, -1)
			usbserial.BaudRate = 9600
			usbserial.DataBits = usbserial.DATA_BITS_8
			usbserial.Parity = usbserial.PARITY_NONE
			usbserial.StopBits = usbserial.STOP_BITS_1
			usbserial.StartReading
			
			'status da tv (on ou off)
			usbserial.Write(bc.StringToBytes("gst#","UTF8"))
			
			'desliga a energia da tv
			'usbserial.Write(bc.StringToBytes("sroff#","UTF8"))
			
			'liga a energia da tv
			'usbserial.Write(bc.StringToBytes("sron#","UTF8"))
		End If
	End If
End Sub

Private Sub serial_DataAvailable (Buffer() As Byte)
	'Log("New data: " & bc.HexFromBytes(Buffer))
	Log("New data: " & bc.StringFromBytes(Buffer,"UTF8"))
End Sub